Subject: [bess] Review of draft-ietf-bess-evpn-yang-07

From: "Xu honglei" <[email-masked]>
Date: Thu, 18 Jul 2019 19:05:04 +0800

Hi, WG:

I have read the latest version of draft-ietf-bess-evpn-yang and have a few
quick comments:

# Evpn instance augments the "l2vpn:l2vpn". It seems to make a lot of sense,
However how many attributes defined in L2VPN Yang can be used by EVPN? In
addition, RT and RD are redefined in evpn-instance. Do they overwrite the RT
& RD defined in L2VPN YANG?

# vpls-constraints is an empty container, it seems like a placeholder.

# Routes container is defined under each evpn-instance. I am wondering
whether all route list should exist at the same time, or some of them are
optional, some of them are mandatory. I am not sure we should implement all
of them.

H.Xu